Package org.kapott.hbci.sepa.jaxb.camt_052_001_09

# Class CardTransaction18

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_09.CardTransaction18

public class CardTransaction18 extends Object

Java class for CardTransaction18 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CardTransaction18">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Card" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}PaymentCard4" minOccurs="0"/>
             <element name="POI" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}PointOfInteraction1" minOccurs="0"/>
             <element name="Tx" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}CardTransaction3Choice" minOccurs="0"/>
             <element name="PrePdAcct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}CashAccount40" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PaymentCard4`
`card`
`protected PointOfInteraction1`
`poi`
`protected CashAccount40`
`prePdAcct`
`protected CardTransaction3Choice`
`tx`

## Constructor Summary

Constructors
Constructor
Description
`CardTransaction18()`

## Method Summary

Modifier and Type
Method
Description
`PaymentCard4`
`getCard()`
Gets the value of the card property.
`PointOfInteraction1`
`getPOI()`
Gets the value of the poi property.
`CashAccount40`
`getPrePdAcct()`
Gets the value of the prePdAcct property.
`CardTransaction3Choice`
`getTx()`
Gets the value of the tx property.
`void`
`setCard(PaymentCard4 value)`
Sets the value of the card property.
`void`
`setPOI(PointOfInteraction1 value)`
Sets the value of the poi property.
`void`
`setPrePdAcct(CashAccount40 value)`
Sets the value of the prePdAcct property.
`void`
`setTx(CardTransaction3Choice value)`
Sets the value of the tx property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### card

protected PaymentCard4 card

### poi

protected PointOfInteraction1 poi

### tx

protected CardTransaction3Choice tx

### prePdAcct

protected CashAccount40 prePdAcct

## Constructor Details

### CardTransaction18

public CardTransaction18()

## Method Details

### getCard

public PaymentCard4 getCard()
Gets the value of the card property.

Returns:
  possible object is `PaymentCard4`

### setCard

public void setCard(PaymentCard4 value)
Sets the value of the card property.

Parameters:
  `value` - allowed object is `PaymentCard4`

### getPOI

public PointOfInteraction1 getPOI()
Gets the value of the poi property.

Returns:
  possible object is `PointOfInteraction1`

### setPOI

public void setPOI(PointOfInteraction1 value)
Sets the value of the poi property.

Parameters:
  `value` - allowed object is `PointOfInteraction1`

### getTx

public CardTransaction3Choice getTx()
Gets the value of the tx property.

Returns:
  possible object is `CardTransaction3Choice`

### setTx

public void setTx(CardTransaction3Choice value)
Sets the value of the tx property.

Parameters:
  `value` - allowed object is `CardTransaction3Choice`

### getPrePdAcct

public CashAccount40 getPrePdAcct()
Gets the value of the prePdAcct property.

Returns:
  possible object is `CashAccount40`

### setPrePdAcct

public void setPrePdAcct(CashAccount40 value)
Sets the value of the prePdAcct property.

Parameters:
  `value` - allowed object is `CashAccount40`